#include<iostream>
using namespace std;
int main() {
	long long int v;
    int i,br;
	cin >> v;
	br = 0;
	while (v > 0) {
		i = v % 10;
		v = v / 10;
		if (i == 1 || i == 2 || i == 5) {
			br += 1;
		}
	    if (i == 3 || i == 4 || i == 6 || i == 7) {
			br += 2;
			}
	    if (i == 8 || i == 9) {
			br += 3;
		}
	}
	cout << br << endl;
	return 0;
}